package ACL2::Proceso::Fracaso;
use base ACL2::Proceso;

=head1 NAME

ACL2::Proceso::Fracaso - la demostraciE<oacute>n ha fracasado

=head1 FUNCTIONS

=cut

#
#    Clase Fracaso: la demostracin ha fracasado
#
#    Copyright (C) 2006-2008 Antonio Garca Domnguez
#
#    This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

use strict;
use warnings;
use ACL2::Orden;
use ACL2::Proceso::Fabrica;

BEGIN {
ACL2::Proceso::Fabrica->registrar
    (
     __PACKAGE__,
     sub {
	 return ACL2::Proceso::Fracaso->_identificar(@_);
     }
     );
}

sub escribir_xml_cabecera {
    my ($this, $writer) = @_;
    $writer->startTag(ACL2::Tags::FAILURE_TAG);
    $writer->emptyTag(ACL2::Tags::OUTPUT_TAG);
}

sub escribir_xml_final {
    my ($this, $writer) = @_;
    $writer->endTag(ACL2::Tags::FAILURE_TAG);
}

sub _identificar
{
    my ($paquete, $salida) = @_;

    # Regla vaca - caso especial de regla, con frmula NIL
    # (o seguramente producida por errores)
    $salida =~ /^\s*$/ or return undef;

    return {"fracaso" => 1};
}

1;
